Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201406-07 ] Echoping: Buffer Overflow Vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1547

PostPosted: Fri Jun 06, 2014 2:26 pm    Post subject: [ GLSA 201406-07 ] Echoping: Buffer Overflow Vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Echoping: Buffer Overflow Vulnerabilities (GLSA 201406-07)
Severity: normal
Exploitable: remote
Date: June 06, 2014
Bug(s): #349569
ID: 201406-07

Synopsis

A buffer overflow in Echoping might allow remote attackers to cause
a Denial of Service condition.


Background

Echoping is a small program to test performances of a
remote host by sending it TCP packets.


Affected Packages

Package: net-analyzer/echoping
Vulnerable: < 6.0.2_p434
Unaffected: >= 6.0.2_p434
Architectures: All supported architectures


Description

A boundary error exists within the “TLS_readline()” function, which
can be exploited to overflow a global buffer by sending an overly long
encrypted HTTP reply to Echoping. Also, a similar boundary error exists
within the “SSL_readline()” function, which can be exploited in the
same manner.


Impact

A remote attacker could send a specially crafted HTTP reply, possibly
resulting in a Denial of Service condition.


Workaround

There is no known workaround at this time.

Resolution

All Echoping users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose
      ">=net-analyzer/echoping-6.0.2_p434"
   


References

CVE-2010-5111
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum